<?php

/**
 * Theme the profile field overview into a drag and drop enabled table.
 */
function theme_uc_cc_fee_settings_table_form($form) {
  // Add javascript
  $path = drupal_get_path('module', 'uc_cc_fee');
  drupal_add_js($path. '/js/uc_cc_fee_backend.js');

  // The variable that will hold our form HTML output
  $table_rows = array();

  // Loop through each "row" in the table array
  foreach (element_children($form['fees']) as $row_data) {
    $row = $form['fees'][$row_data];

    // .. and render elements
    $this_row = array(
      drupal_render($row['title']),
      drupal_render($row['value']),
      drupal_render($row['operation']),
      drupal_render($row['weight'])
    );

    // Add the row to the array of rows
    $table_rows[] = array('data' => $this_row, 'class' => 'draggable');
  }

  // Make sure the header count matches the column count
  $header = array(
    t('Fee title'),
    t('Fee value'),
    t('Operation'),
  );

  $table_id = 'uc-cc-fee-settings-table-form';

  // This function is what brings in the javascript to make our table
  // drag-and-droppable
  drupal_add_tabledrag($table_id, 'order', 'sibling', 'uc-cc-fee-settings-table-form-weight');

  // Theme fees table
  $form['fees'] = array(
    '#type' => 'markup',
    '#value' => theme('table', $header, $table_rows, array('id' => $table_id)),
    '#weight' => '1',
  );

  //Render the form
  return drupal_render($form);
}

/**
 * Theme on fees on checkout page.
 */
function theme_uc_cc_fee_radios_options($data) {
  foreach($data as $index => $fee) {
    $value = uc_cc_fee_format_value($fee['value']);
    $data[$index] = "{$fee['title']} ({$value})";
  }

  return $data;
}

function theme_uc_cc_fee_line_item_title($fee) {
  if (_uc_cc_fee_is_percentage($fee->value)) {
    $title = "!name fee (!value)";
    $args = array(
      '!name' => $fee->title,
      '!value' => $fee->value
    );
  } else {
    $title = "!name fee";
    $args = array('!name' => $fee->title);
  }

  return t($title, $args);
}

function theme_uc_cc_fee_label() {
  return '<strong>'. t('Credit card fee'). '</strong>: <span id="uc_cc_fee_label_value">?</span>';
}